From 33162fb38156c2f4192a216b02e16040e90b81c2 Mon Sep 17 00:00:00 2001
From: =?UTF-8?q?Ond=C5=99ej=20Sur=C3=BD?= <ondrej@sury.org>
Date: Thu, 12 May 2011 09:31:15 +0200
Subject: [PATCH] Add test for leftover directories containing conffiles

---
 Makefile                                           |    3 ++-
 t-conffile-leftover/Makefile                       |   13 +++++++++++++
 .../pkg-conffile-leftover/DEBIAN/conffiles         |    1 +
 .../pkg-conffile-leftover/DEBIAN/control           |    7 +++++++
 4 files changed, 23 insertions(+), 1 deletions(-)
 create mode 100644 t-conffile-leftover/Makefile
 create mode 100644 t-conffile-leftover/pkg-conffile-leftover/DEBIAN/conffiles
 create mode 100644 t-conffile-leftover/pkg-conffile-leftover/DEBIAN/control
 create mode 100644 t-conffile-leftover/pkg-conffile-leftover/test-dir/test-conffile

diff --git a/Makefile b/Makefile
index 7487c97..a16ec72 100644
--- a/Makefile
+++ b/Makefile
@@ -59,7 +59,8 @@ TESTS_PASS := \
 	t-symlink-dir \
 	t-substvars \
 	t-failinst-failrm \
-	t-dir-extension-check
+	t-dir-extension-check \
+	t-conffile-leftover
 
 ifneq (,$(filter test-all,$(DPKG_TESTSUITE_OPTIONS)))
 TESTS := $(TESTS_PASS) $(TESTS_FAIL) $(TESTS_MANUAL)
diff --git a/t-conffile-leftover/Makefile b/t-conffile-leftover/Makefile
new file mode 100644
index 0000000..1d4c970
--- /dev/null
+++ b/t-conffile-leftover/Makefile
@@ -0,0 +1,13 @@
+TESTS_DEB := pkg-conffile-leftover
+
+include ../Test.mk
+
+test-case:
+	$(DPKG_INSTALL) pkg-conffile-leftover.deb
+	$(DPKG_REMOVE) pkg-conffile-leftover
+	$(DPKG_PURGE) pkg-conffile-leftover
+	test ! -d /test-dir
+
+test-clean:
+	$(DPKG_PURGE) pkg-conffile-leftover
+	$(BEROOT) rm -rf /test-dir
diff --git a/t-conffile-leftover/pkg-conffile-leftover/DEBIAN/conffiles b/t-conffile-leftover/pkg-conffile-leftover/DEBIAN/conffiles
new file mode 100644
index 0000000..6d57c35
--- /dev/null
+++ b/t-conffile-leftover/pkg-conffile-leftover/DEBIAN/conffiles
@@ -0,0 +1 @@
+/test-dir/test-conffile
diff --git a/t-conffile-leftover/pkg-conffile-leftover/DEBIAN/control b/t-conffile-leftover/pkg-conffile-leftover/DEBIAN/control
new file mode 100644
index 0000000..1906f19
--- /dev/null
+++ b/t-conffile-leftover/pkg-conffile-leftover/DEBIAN/control
@@ -0,0 +1,7 @@
+Package: pkg-conffile-leftover
+Version: 0
+Section: test
+Priority: extra
+Maintainer: Ondřej Surý <ondrej@debian.org>
+Architecture: all
+Description: test package - shared directory with configuration file
diff --git a/t-conffile-leftover/pkg-conffile-leftover/test-dir/test-conffile b/t-conffile-leftover/pkg-conffile-leftover/test-dir/test-conffile
new file mode 100644
index 0000000..e69de29
-- 
1.7.2.5

